Subject: bug#9505: libtool

From: "Gary V. Vaughan" <[email-masked]>
Date: Thu, 15 Sep 2011 12:37:24 +0700

On 14 Sep 2011, at 19:39, Marcos Hocpfner wrote:
> Hello, i have a problem whit the compilation libtool, this is the error:
> 
> make[2]: Entering directory `/usr/local/gnubatch-1.3/build/lib'
> libtool --mode=compile gcc -O -g -Wall -fno-stack-protector  -I../hdrs -I../..   -c -o advtime.o advtime.c
> /usr/local/bin/libtool: line 1295: base_compile+= gcc: command not found
> /usr/local/bin/libtool: line 1295: base_compile+= -O: command not found
> /usr/local/bin/libtool: line 1295: base_compile+= -g: command not found
> /usr/local/bin/libtool: line 1295: base_compile+= -Wall: command not found
> /usr/local/bin/libtool: line 1295: base_compile+= -fno-stack-protector: command not found
> /usr/local/bin/libtool: line 1295: base_compile+= -I../hdrs: No such file or directory
> /usr/local/bin/libtool: line 1295: base_compile+= -I../..: No such file or directory
> /usr/local/bin/libtool: line 1295: base_compile+= -c: command not found
> /usr/local/bin/libtool: line 1295: CC_quoted+= gcc: command not found
> /usr/local/bin/libtool: line 1295: CC_quoted+= g++: command not found
> libtool: compile: you must specify a compilation command
> libtool: compile: Try `libtool --help --mode=compile' for more information.
> make[2]: *** [advtime.o] Error 1
> make[2]: Leaving directory `/usr/local/gnubatch-1.3/build/lib'
> make[1]: *** [lib/libgnubatch_int.la] Error 2
> make[1]: Leaving directory `/usr/local/gnubatch-1.3/build'
> make: *** [build-src] Error 2

This means that you have generated libtool using a shell that understands XSI extensions,
such as bash, so it has made some optimisations based on that, but then you are letting
make execute libtool with a shell that doesn't understand those optimisations - such as
/bin/sh.

Make sure that if you point configure at a better shell (by setting SHELL or CONFIG_SHELL
in your environment for example), that you also tell make to use the same shell (by calling
make with SHELL=/bin/bash for example).

If your environment is clean, and you are not accidentally or deliberately manipulating
the execution shell, then you have found a genuine bug.  We'll need to know all of the
details about your environment, including the actual command lines you used to call
configure and then make.

The README in your libtool distribution explains more about some of the information
required when reporting a bug, or you can get there directly by running './libtool --help'.

> more date:
> libtool (GNU libtool) 2.4
> Written by Gordon Matzigkeit <[email-masked]>, 1996
> 
> Copyright (C) 2010 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> ######
> GNU Make 3.81
> Copyright (C) 2006  Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.
> There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
> PARTICULAR PURPOSE.
> 
> This program built for sparc-sun-solaris2.10
> ########
>                    Oracle Solaris 10 9/10 s10s_u9wos_14a SPARC
>      Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
>                             Assembled 11 August 2010
> 
> 
> thank you very much

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)